This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 689831 - (CVE-2011-1178) CVE-2011-1178 Gimp: Integer overflow in the PCX image file plug-in
CVE-2011-1178 Gimp: Integer overflow in the PCX image file plug-in
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110523,reported=20110322,sou...
: Security
: 538491 (view as bug list)
Depends On: 537809 537810 537811 833903
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-22 10:59 EDT by Jan Lieskovsky
Modified: 2016-03-04 07:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-06 03:32:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed fix from Nils Philippsen for gimp 2.2 branch (2.37 KB, patch)
2011-03-22 11:30 EDT, Jan Lieskovsky
no flags Details | Diff
Proposed fix from Nils Philippsen for gimp 2.6 branch (2.38 KB, patch)
2011-03-22 11:33 EDT, Jan Lieskovsky
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2011-03-22 10:59:48 EDT
An integer overflow, leading to heap-based buffer overflow, was found
in The Gimp's Personal Computer eXchange (PCX) image file plug-in.
A remote attacker could provide a specially-crafted PCX image file,
which once opened by a local, unsuspecting user would lead to denial
of service (GIMP PCX plug-in crash) or, potentially, arbitrary code
execution with the privileges of the user running Gimp.
Comment 3 Jan Lieskovsky 2011-03-22 11:20:57 EDT
The CVE identifier of CVE-2011-1178 has been assigned to this issue.
Comment 4 Jan Lieskovsky 2011-03-22 11:30:40 EDT
Created attachment 486819 [details]
Proposed fix from Nils Philippsen for gimp 2.2 branch
Comment 5 Jan Lieskovsky 2011-03-22 11:33:01 EDT
Created attachment 486820 [details]
Proposed fix from Nils Philippsen for gimp 2.6 branch
Comment 6 Jan Lieskovsky 2011-03-22 11:37:11 EDT
Particular upstream git changeset:

[1] http://git.gnome.org/browse/gimp/commit/?id=a9671395f6573e90316a9d748588c5435216f6ce
Comment 7 Jan Lieskovsky 2011-03-22 11:38:59 EDT
This issue affects the versions of the gimp package, as shipped
with Red Hat Enterprise Linux 4 and 5.

--

This issue did NOT affect the version of the gimp package, as shipped
with Red Hat Enterprise Linux 6, as this version already contains
upstream change from [1].

--

This issue did NOT affect the versions of the gimp package, as shipped
with Fedora release of 13 and 14, as those versions already contain
upstream change from [1].
Comment 13 errata-xmlrpc 2011-05-31 10:05:06 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0838 https://rhn.redhat.com/errata/RHSA-2011-0838.html
Comment 14 errata-xmlrpc 2011-05-31 10:05:30 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2011:0837 https://rhn.redhat.com/errata/RHSA-2011-0837.html

Note You need to log in before you can comment on or make changes to this bug.